/**
 * Copyright 2013 Peergreen S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.car.api;

import java.util.Collection;

import org.ow2.util.archive.api.IArchive;
import org.ow2.util.scan.api.metadata.IClassMetadata;
import org.ow2.util.scan.api.metadata.IMetadata;

/**
 * ICarMetadata.
 * @author Florent Benoit
 */
public interface ICarMetadata extends IMetadata {

    /**
     * Add annotation metadata for a given class.
     * @param warClassMetadata metadata of a class.
     */
    void addClassMetadata(final IClassMetadata carClassMetadata);

    /**
     * Get class annotation metadata.
     * @param className key of the map of annotations bean.
     * @return Bean annotation metadata of a given name.
     */
    IClassMetadata getClassMetadata(final String className);

    /**
     * Get collections of bean annotation metadata.
     * @return collections of bean annotation metadata.
     */
    Collection<IClassMetadata> getClassMetadataCollection();

    IArchive getArchive();

}
