/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.car.impl.xml.struct;

import org.ow2.util.ee.metadata.common.impl.xml.struct.AbsEnvironment;

/**
 * This class represents a application-client deployment descriptor.
 * @author Gael Lalire
 */
public class CAR extends AbsEnvironment {

    /**
     * True if metadata is complete.
     */
    private boolean metadataComplete;

    /**
     * The callback handler class.
     */
    private String callbackHandler;

    /**
     * Default constructor.
     */
    public CAR() {
        metadataComplete = false;
    }

    /**
     * @param metadataComplete true if metadata is complete
     */
    public void setMetadataComplete(final boolean metadataComplete) {
        this.metadataComplete = metadataComplete;
    }

    /**
     * @return true if metadata is complete
     */
    public boolean isMetadataComplete() {
        return metadataComplete;
    }

    /**
     * @return class name of the the callbackHandler.
     */
    public String getCallbackHandler() {
        return callbackHandler;
    }

    /**
     * @param callbackHandler class name of the callbackHandler.
     */
    public void setCallbackHandler(final String callbackHandler) {
        this.callbackHandler = callbackHandler;
    }

}
