/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api;

import org.ow2.util.ee.metadata.common.api.interfaces.ISharedMetadataView;
import org.ow2.util.scan.api.metadata.IMethodMetadata;

/**
 * The common interface for method metadata.
 * @author Gael Lalire
 */
public interface ICommonMethodMetadata extends ISharedMetadataView, IMethodMetadata {

    /**
     * @return true if method has &#64;{@link javax.annotation.PostConstruct}.
     */
    boolean isPostConstruct();

    /**
     * Sets true if method has &#64;{@link javax.annotation.PostConstruct}.
     * @param postConstruct true/false.
     */
    void setPostConstruct(final boolean postConstruct);

    /**
     * @return true if method has &#64;{@link javax.annotation.PreDestroy}.
     */

    boolean isPreDestroy();

    /**
     * Sets true if method has &#64;{@link javax.annotation.PreDestroy}.
     * @param preDestroy true/false.
     */
    void setPreDestroy(final boolean preDestroy);

}
