/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.enc;

/**
 * JNDI Binding used in ENC for a given type (like persistence context, ejb, etc.).
 *
 * @param <T> the given type
 *
 * @author Florent BENOIT
 */
public interface IENCBinding<T> {

    static final String DEFAULT_NS_PREFIX = "java:comp/env/";
    static final String NS_JAVA_COMP_PREFIX = "java:comp/";
    static final String NS_JAVA_GLOBAL_PREFIX = "java:global/";
    static final String NS_JAVA_APP_PREFIX = "java:app/";
    static final String NS_JAVA_MODULE_PREFIX = "java:module/";

    /**
     * @return the name used for the ENC.
     */
    String getName();

    /**
     * @return the object associated to the ENC name.
     */
    T getValue();
}
