/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.struct;

import java.io.Serializable;

/**
 * Acts as an implementation of &#64;{@link javax.ejb.EJB} annotation.
 * @author Gael Lalire
 */
public interface IJEjbEJB extends Serializable {

    /**
     * @return Name (resource to be looked up).
     */
    String getName();

    /**
     * Sets Name (resource to be looked up).
     * @param name the given name.
     */
    void setName(String name);

    /**
     * @return Bean name (Name of stateless, stateful, etc. or ejb-name).
     */
    String getBeanName();

    /**
     * Sets bean name (Name of stateless, stateful, etc. or ejb-name).
     * @param beanName the given name.
     */
    void setBeanName(String beanName);

    /**
     * @return business or home Interface.
     */
    String getBeanInterface();

    /**
     * Sets the business or home Interface.
     * @param beanInterface the given interface.
     */
    void setBeanInterface(String beanInterface);

    /**
     * @return MappedName.
     */
    String getMappedName();

    /**
     * Sets mapped Name.
     * @param mappedName the given mappedName.
     */
    void setMappedName(String mappedName);
    
    /**
     * @return lookup.
     */
    String getLookup();

    /**
     * Sets lookup the lookup Name.
     * @param lookup the given lookup.
     */
    void setLookup(final String lookup);

}
