/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.struct;

import java.io.Serializable;

/**
 * Manage WebMethod metadata.
 * @author Florent Benoit
 */
public interface IJavaxJwsWebMethod extends Serializable {

    /**
     * @return The action for this operation.
     */
    String getAction();

    /**
     * Sets the action for this operation.
     * @param action the given action
     */
    void setAction(String action);

    /**
     * Sets the exclude flag.
     * @param isExclude true/false
     */
    void setExclude(boolean isExclude);

    /**
     * @return true if the method is excluded.
     */
    boolean getExclude();

    /**
     * Sets the name of the wsdl:operation matching this method.
     * @param operationName the given operation name
     */
    void setOperationName(String operationName);

    /**
     * @return the name of the wsdl:operation matching this method.
     */
    String getOperationName();


}
