/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.struct;

import java.io.Serializable;

/**
 * Manages Persistence context annotation.
 * @author Florent BENOIT
 */
public interface IJavaxPersistenceContext extends Serializable {

    /**
     * @return the type of persistence context.
     */
    IJavaxPersistenceContextType getType();

    /**
     * Sets the persistence context type.
     * @param type given type.
     */
    void setType(final IJavaxPersistenceContextType type);

    /**
     * @return the unit name used by this persistence context.
     */
    String getUnitName();

    /**
     * sets the unit name of this persistence context.
     * @param unitName the name of the persistence unit
     */
    void setUnitName(final String unitName);

    /**
     * @return the unit name used by this persistence context.
     */
    String getName();

    /**
     * sets the name of this persistence context.
     * @param name the name of the persistence context
     */
    void setName(final String name);
}
