/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;

/**
 * Interface used for activation-config element.
 * @author Florent Benoit
 */
public interface IActivationConfig extends Serializable {

    /**
     * Name of this element.
     */
    String NAME = "activation-config";

    /**
     * Gets the name of the activation config.
     * @return the name of the activation config
     */
    String getName();

    /**
     * Sets the name of the activation config.
     * @param name the name of the activation config
     */
    void setName(final String name);

    /**
     * Gets the value of the activation config.
     * @return the value of the activation config
     */
    String getValue();

    /**
     * Sets the value of the activation config.
     * @param value the value of the activation config
     */
    void setValue(final String value);

}
