/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;

/**
 * Interface used for around-invoke element.
 * @author Florent Benoit
 */
public interface IAroundInvoke extends Serializable {

    /**
     * Name of this element.
     */
    String NAME = "around-invoke";

    /**
     * Sets the name of the class.
     * @param className the name of the class
     */
    void setClassName(final String className);

    /**
     * @return the class value.
     */
    String getClassName();

    /**
     * Sets the name of the method.
     * @param methodName the name of the method
     */
    void setMethodName(final String methodName);

    /**
     * @return the method name.
     */
    String getMethodName();

}
