/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

/**
 * Interface used for ejb-ref element.
 * @author Florent Benoit
 */
public interface ICommonEJBRef extends IResourceGroup {

    /**
     * Name of this element.
     */
    String NAME = "ejb-ref";

    /**
     * @return the ejb-link value
     */
    String getEjbLink();

    /**
     * Sets the ejb-link value.
     * @param ejbLink value of ejb-link element
     */
    void setEjbLink(final String ejbLink);

    /**
     * @return name of this ejb-ref
     */
    String getEjbRefName();

    /**
     * Sets the name of this ejb-ref.
     * @param ejbRefName name of this reference
     */
    void setEjbRefName(final String ejbRefName);

    /**
     * @return the type of this ejb-ref.
     */
    String getEjbRefType();

    /**
     * Sets the type of this reference.
     * @param ejbRefType type of reference
     */
    void setEjbRefType(final String ejbRefType);

}
