/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

/**
 * Interface used for ejb-ref element.
 * @author Florent Benoit
 */
public interface IEJBRef extends ICommonEJBRef {

    /**
     * @return the remote element
     */
    String getRemote();

    /**
     * Sets the value of remote element.
     * @param remote value of remote element
     */
    void setRemote(final String remote);

    /**
     * @return the home element
     */
    String getHome();

    /**
     * Sets the value of home element.
     * @param home value of home element
     */
    void setHome(final String home);


}
