/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;

/**
 * Interface used for injection-target element.
 * @author Florent Benoit
 */
public interface IInjectionTarget extends Serializable {

    /**
     * @return the name of the class where injection should occurs.
     */
    String getClassname();

    /**
     * Sets the name of the class.
     * @param classname the name of the class.
     */
    void setClassname(final String classname);

    /**
     * @return the name of the target (attribute)
     */
    String getTargetName();

    /**
     * Sets the name of the attribute/target of the injection.
     * @param targetName the name of the attribute
     */
    void setTargetName(final String targetName);

}
