/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;

/**
 * Interface used for lifecycle callback elements.
 * @author Florent Benoit
 */
public interface ILifeCycleCallback extends Serializable {

    /**
     * Name of this element.
     */
    String POST_ACTIVATE = "post-activate";

    /**
     * Name of this element.
     */
    String POST_CONSTRUCT = "post-construct";

    /**
     * Name of this element.
     */
    String PRE_DESTROY = "pre-destroy";

    /**
     * Name of this element.
     */
    String PRE_PASSIVATE = "pre-passivate";

    /**
     * Sets the name of the class.
     * @param lifecycleCallbackClass the name of the class
     */
    void setLifecycleCallbackClass(final String lifecycleCallbackClass);

    /**
     * @return the class value.
     */
    String getLifecycleCallbackClass();

    /**
     * Sets the name of the method.
     * @param lifecycleCallbackMethod the name of the method
     */
    void setMethodName(final String lifecycleCallbackMethod);

    /**
     * @return the method name.
     */
    String getLifecycleCallbackMethod();

}
