/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

/**
 * Interface used for message-destination-ref element.
 * @author Florent Benoit
 */
public interface IMessageDestinationRef extends IResourceGroup {

    /**
     * Name of this element.
     */
    String NAME = "message-destination-ref";

    /**
     * @return name of this message-destination-ref.
     */
    String getName();

    /**
     * Sets the name of message-destination-ref.
     * @param name the name of this reference
     */
    void setName(final String name);

    /**
     * @return type of this message-destination-ref.
     */
    String getType();

    /**
     * Sets the type of message-destination-ref.
     * @param type the type of this reference
     */
    void setType(final String type);

    /**
     * @return usage of this message-destination-ref.
     */
    String getUsage();

    /**
     * Sets the usage of message-destination-ref.
     * @param usage the usage of this reference
     */
    void setUsage(final String usage);

    /**
     * @return link of this message-destination-ref.
     */
    String getLink();

    /**
     * Sets the link of message-destination-ref.
     * @param link the link of this reference
     */
    void setLink(final String link);

}
