/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

/**
 * Interface used for resource-env-ref element.
 * @author Florent Benoit
 */
public interface IResourceEnvRef extends IResourceGroup {

    /**
     * Name of this element.
     */
    String NAME = "resource-env-ref";

    /**
     * @return name of this resource-env-ref.
     */
    String getResourceEnvRefName();

    /**
     * Sets the name of resource-env-ref.
     * @param resourceEnvRefName name of this reference
     */
    void setResourceEnvRefName(final String resourceEnvRefName);

    /**
     * @return the type of this resource-env-ref.
     */
    String getResourceEnvRefType();

    /**
     * Sets the type of this reference.
     * @param resourceEnvRefType type of reference
     */
    void setResourceEnvRefType(final String resourceEnvRefType);

}
