/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

import java.io.Serializable;
import java.util.List;

/**
 * Interface used for resource element.
 * @author Florent Benoit
 */
public interface IResourceGroup extends Serializable {

    /**
     * Gets the mapped name.
     * @return the mapped name
     */
    String getMappedName();

    /**
     * Set the mapped name.
     * @param mappedName the given mapped name.
     */
    void setMappedName(final String mappedName);

    /**
     * @return the injectionTarget list
     */
    List<IInjectionTarget> getInjectionTargetList();

    /**
     * Adds the igiven njection target value.
     * @param injectionTarget value of injectionTarget element
     */
    void addInjectionTarget(final IInjectionTarget injectionTarget);
    
    /**
     * @return lookup.
     */
    String getLookupName();

    /**
     * Sets lookup the lookup Name.
     * @param lookup the given lookup.
     */
    void setLookupName(final String lookup);    

}
