/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

/**
 * Interface used for security-role-ref element.
 * @author Florent Benoit
 */
public interface ISecurityRoleRef {

    /**
     * Name of this element.
     */
    String NAME = "security-role-ref";

    /**
     * @return rolename of this security-role-ref.
     */
    String getRoleName();

    /**
     * Sets the rolename of this security-role-ref.
     * @param roleName rolename of this security-role-ref.
     */
    void setRoleName(final String roleName);

    /**
     * @return role link of this security-role-ref.
     */
    String getRoleLink();

    /**
     * Sets the role link of this security-role-ref.
     * @param roleLink rolename of this security-role-ref.
     */
    void setRoleLink(final String roleLink);


}