/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.struct;

import org.ow2.util.ee.metadata.common.api.struct.IEnvEntry;

/**
 * EnvEntry.
 * @author Gael Lalire
 */
public class EnvEntry implements IEnvEntry {

    private String name;

    private String type;

    private String value;
    
    private String lookupName;

    public EnvEntry(final String name, final String type, final String value) {
        this(name, type, value, null);
    }

    public EnvEntry(final String name, final String type, final String value, final String lookupName) {
        this.name = name;
        this.type = type;
        this.value = value;
        this.lookupName = lookupName;
    }

    
    public String getName() {
        return name;
    }

    public String getType() {
        return type;
    }

    public String getValue() {
        return value;
    }
    
    public void setType(String type) {
        this.type = type;
    }
    
    /**
     * @return lookup.
     */
    public String getLookupName() {
        return lookupName;
    }

}
