/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IActivationConfig;

/**
 * This class defines the implementation of the &lt;activation-config&gt;
 * element.
 * @author Florent Benoit
 */
public class ActivationConfig implements IActivationConfig {

    /**
     * Name of the property.
     */
    private String name = null;

    /**
     * Value of the property.
     */
    private String value = null;

    /**
     * Gets the name of the activation config.
     * @return the name of the activation config
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of the activation config.
     * @param name the name of the activation config
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * Gets the value of the activation config.
     * @return the value of the activation config
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the activation config.
     * @param value the value of the activation config
     */
    public void setValue(final String value) {
        this.value = value;
    }

}
