/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IAroundInvoke;



/**
 * This class defines the implementation of the element &lt;around-invoke&gt;.
 * @author Florent Benoit
 */
public class AroundInvoke implements IAroundInvoke {

    /**
     * Element &lt;class&gt;.
     */
    private String className = null;


    /**
     * Element &lt;method-name&gt;.
     */
    private String methodName = null;

   /**
     * Constructor.
     */
    public AroundInvoke() {

    }

    /**
     * Sets the name of the class.
     * @param className the name of the class
     */
    public void setClassName(final String className) {
        this.className = className;
    }

    /**
     * @return the class value.
     */
    public String getClassName() {
        return className;
    }

    /**
     * Sets the name of the method.
     * @param methodName the name of the method
     */
    public void setMethodName(final String methodName) {
        this.methodName = methodName;
    }

    /**
     * @return the method name.
     */
    public String getMethodName() {
        return methodName;
    }

}
