/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IEJBLocalRef;

/**
 * Class representing ejb-local-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class EJBLocalRef extends AbsEJBRef implements IEJBLocalRef {

    /**
     * Local class (interface).
     */
    private String local = null;

    /**
     * Local Home (interface).
     */
    private String localHome = null;

    /**
     * @return the local element
     */
    public String getLocal() {
        return local;
    }

    /**
     * Sets the value of local element.
     * @param local value of local element
     */
    public void setLocal(final String local) {
        this.local = local;
    }

    /**
     * @return the local home element
     */
    public String getLocalHome() {
        return localHome;
    }

    /**
     * Sets the value of home element.
     * @param localHome value of local home element
     */
    public void setLocalHome(final String localHome) {
        this.localHome = localHome;
    }

}
