/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IEJBRef;

/**
 * Class representing ejb-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class EJBRef extends AbsEJBRef implements IEJBRef {

    /**
     * Name of this element.
     */
    public static final String NAME = "ejb-ref";

    /**
     * Remote class (interface).
     */
    private String remote = null;

    /**
     * Home (interface).
     */
    private String home = null;

    /**
     * @return the remote element
     */
    public String getRemote() {
        return remote;
    }

    /**
     * Sets the value of remote element.
     * @param remote value of remote element
     */
    public void setRemote(final String remote) {
        this.remote = remote;
    }

    /**
     * @return the home element
     */
    public String getHome() {
        return home;
    }

    /**
     * Sets the value of home element.
     * @param home value of home element
     */
    public void setHome(final String home) {
        this.home = home;
    }

}
