/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IHandlerChains;
import org.ow2.util.ee.metadata.common.api.xml.struct.IHandlerChain;

import java.util.List;
import java.util.ArrayList;

/**
 * The HandlerChains is the representant of the XML element <code>handler-chains</code>.
 *
 * @author Guillaume Sauthier
 */
public class HandlerChains implements IHandlerChains {

    /**
     * Chains elements.
     */
    private List<IHandlerChain> handlerChains = new ArrayList<IHandlerChain>();

    /**
     * @return the list of <code>handler-chain</code>
     */
    public List<IHandlerChain> getHandlerChains() {
        return handlerChains;
    }

    /**
     * Add a new handler-chain
     * @param handlerChain added element
     */
    public void addHandlerChain(IHandlerChain handlerChain) {
        this.handlerChains.add(handlerChain);
    }
}
