/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IInjectionTarget;

/**
 * Class representing the injection-target element.
 * @author Florent Benoit
 */
public class InjectionTarget implements IInjectionTarget {

    /**
     * Name of the class where to inject the value.
     */
    private String classname = null;


    /**
     * Name of the attribute. (for the injection)
     */
    private String targetName = null;


    /**
     * @return the name of the class where injection should occurs.
     */
    public String getClassname() {
        return classname;
    }

    /**
     * Sets the name of the class.
     * @param classname the name of the class.
     */
    public void setClassname(final String classname) {
        this.classname = classname;
    }

    /**
     * @return the name of the target (attribute)
     */
    public String getTargetName() {
        return targetName;
    }

    /**
     * Sets the name of the attribute/target of the injection.
     * @param targetName the name of the attribute
     */
    public void setTargetName(final String targetName) {
        this.targetName = targetName;
    }

}
