/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.ILifeCycleCallback;

/**
 * This class defines the implementation of an element of callback type (post
 * construct, pre destroy, etc).
 * @author Florent Benoit
 */
public class LifeCycleCallback implements ILifeCycleCallback {

    /**
     * Element &lt;lifecycle-callback-class&gt;.
     */
    private String lifecycleCallbackClass = null;

    /**
     * Element &lt;lifecycle-callback-method&gt;.
     */
    private String lifecycleCallbackMethod = null;

    /**
     * Constructor.
     */
    public LifeCycleCallback() {

    }

    /**
     * Sets the name of the class.
     * @param lifecycleCallbackClass the name of the class
     */
    public void setLifecycleCallbackClass(final String lifecycleCallbackClass) {
        this.lifecycleCallbackClass = lifecycleCallbackClass;
    }

    /**
     * @return the class value.
     */
    public String getLifecycleCallbackClass() {
        return lifecycleCallbackClass;
    }

    /**
     * Sets the name of the method.
     * @param lifecycleCallbackMethod the name of the method
     */
    public void setMethodName(final String lifecycleCallbackMethod) {
        this.lifecycleCallbackMethod = lifecycleCallbackMethod;
    }

    /**
     * @return the method name.
     */
    public String getLifecycleCallbackMethod() {
        return lifecycleCallbackMethod;
    }

}
