/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IMessageDestinationRef;

/**
 * Class representing message-destination-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class MessageDestinationRef extends AbsResourceGroup implements IMessageDestinationRef {

    /**
     * Name of this message-destination-ref.
     */
    private String name = null;

    /**
     * Type of this message-destination-ref.
     */
    private String type = null;

    /**
     * Usage of this message-destination-ref.
     */
    private String usage = null;

    /**
     * Link of this message-destination-ref.
     */
    private String link = null;

    /**
     * Default constructor.
     */
    public MessageDestinationRef() {
        super();
    }

    /**
     * @return name of this message-destination-ref.
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of message-destination-ref.
     * @param name the name of this reference
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return type of this message-destination-ref.
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the type of message-destination-ref.
     * @param type the type of this reference
     */
    public void setType(final String type) {
        this.type = type;
    }

    /**
     * @return usage of this message-destination-ref.
     */
    public String getUsage() {
        return usage;
    }

    /**
     * Sets the usage of message-destination-ref.
     * @param usage the usage of this reference
     */
    public void setUsage(final String usage) {
        this.usage = usage;
    }

    /**
     * @return link of this message-destination-ref.
     */
    public String getLink() {
        return link;
    }

    /**
     * Sets the link of message-destination-ref.
     * @param link the link of this reference
     */
    public void setLink(final String link) {
        this.link = link;
    }

}
