/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IPersistenceContextRef;

/**
 *
 * @author danesa
 */
public class PersistenceContextRef extends AbsResourceGroup implements IPersistenceContextRef {
    /**
     * Name of this persistence-context-ref.
     */
    private String contextRefName = "";

    /**
     * Name of the persistence-unit.
     */
    private String unitName = "";

    /**
     * Persistence context type.
     */
    private String type ="";
    /**
     * Default constructor.
     */
    public PersistenceContextRef() {
        super();
    }

    /**
     * @return the persistence context ref name
     */
    public String getPersistenceContextRefName() {
        return contextRefName;
    }

    /**
     * @return the persistence context type
     */
    public String getPersistenceContextType() {
        return type;
    }

    /**
     *  @return the persistence unit name
     */
    public String getPersistenceUnitName() {
        return unitName;
    }

    /**
     * Set the name of this persistence-context-ref.
     * @param persistenceContextName name for this persistence-context-ref
     */
    public void setPersistenceContextRefName(final String persistenceContextName) {
        this.contextRefName = persistenceContextName;
    }

    /**
     * Set the persistence context type.
     * @param persistenceContextType type
     */
    public void setPersistenceContextType(final String persistenceContextType) {
        this.type = persistenceContextType;
    }

    /**
     * Set the persistence-unit name.
     * @param persistenceUnitName name for the persistence unit.
     */
    public void setPersistenceUnitName(final String persistenceUnitName) {
        this.unitName = persistenceUnitName;
    }

}
