/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IPersistenceUnitRef;

/**
 * Class representing persistence-unit-ref elements used in Java EE components.
 * @author danesa
 */
public class PersistenceUnitRef extends AbsResourceGroup implements IPersistenceUnitRef {
    /**
     * Name of this persistence-unit-ref.
     */
    private String unitRefName = "";

    /**
     * Name of the persistence-unit.
     */
    private String unitName = "";

    /**
     * Default constructor.
     */
    public PersistenceUnitRef() {
        super();
    }
    /**
     * @return name of this persistence-unit-ref
     */
    public String getPersistenceUnitRefName() {
        return unitRefName;
    }

    /**
     * Sets the name of this persistence-unit-ref.
     * @param persistenceUnitName name of this reference
     */
    public void setPersistenceUnitRefName(final String unitRefName) {
        this.unitRefName = unitRefName;
    }

    /**
     * @return name of the persistence-unit containing this reference
     */
    public String getPersistenceUnitName() {
        return unitName;
    }

    /**
     * Sets the name of the persistence-unit containing this reference.
     * @param persistenceUnitName name of the persistence unit
     */
    public void setPersistenceUnitName(final String unitName) {
        this.unitName = unitName;
    }
}
