/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IResourceEnvRef;

/**
 * Class representing resource-env-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class ResourceEnvRef extends AbsResourceGroup implements IResourceEnvRef {

    /**
     * Name of this resource-env-ref.
     */
    private String resourceEnvRefName = null;

    /**
     * Type of this resource-env-ref.
     */
    private String resourceEnvRefType = null;

    /**
     * Default constructor.
     */
    public ResourceEnvRef() {
        super();
    }

    /**
     * @return name of this resource-env-ref.
     */
    public String getResourceEnvRefName() {
        return resourceEnvRefName;
    }

    /**
     * Sets the name of resource-env-ref.
     * @param resourceEnvRefName name of this reference
     */
    public void setResourceEnvRefName(final String resourceEnvRefName) {
        this.resourceEnvRefName = resourceEnvRefName;
    }

    /**
     * @return the type of this resource-env-ref.
     */
    public String getResourceEnvRefType() {
        return resourceEnvRefType;
    }

    /**
     * Sets the type of this reference.
     * @param resourceEnvRefType type of reference
     */
    public void setResourceEnvRefType(final String resourceEnvRefType) {
        this.resourceEnvRefType = resourceEnvRefType;
    }

}
