/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IResourceRef;

/**
 * Class representing resource-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class ResourceRef extends AbsResourceGroup implements IResourceRef {

    /**
     * Name of this resource-ref.
     */
    private String resRefName = null;

    /**
     * Type of this resource-ref.
     */
    private String resRefType = null;

    /**
     * Default constructor.
     */
    public ResourceRef() {
        super();
    }

    /**
     * @return name of this resource-ref.
     */
    public String getResRefName() {
        return resRefName;
    }

    /**
     * Sets the name of resource-ref.
     * @param resRefName name of this reference
     */
    public void setResRefName(final String resRefName) {
        this.resRefName = resRefName;
    }

    /**
     * @return the type of this resource-ref.
     */
    public String getResRefType() {
        return resRefType;
    }

    /**
     * Sets the type of this reference.
     * @param resRefType type of reference
     */
    public void setResRefType(final String resRefType) {
        this.resRefType = resRefType;
    }

}
