/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.ISecurityRoleRef;

/**
 * Class representing security-role-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class SecurityRoleRef implements ISecurityRoleRef {

    /**
     * Role Name of this security-role-ref.
     */
    private String roleName = null;

    /**
     * Role Link of this security-role-ref.
     */
    private String roleLink = null;

    /**
     * Default constructor.
     */
    public SecurityRoleRef() {
        super();
    }

    /**
     * @return rolename of this security-role-ref.
     */
    public String getRoleName() {
        return roleName;
    }

    /**
     * Sets the rolename of this security-role-ref.
     * @param roleName rolename of this security-role-ref.
     */
    public void setRoleName(final String roleName) {
        this.roleName = roleName;
    }

    /**
     * @return role link of this security-role-ref.
     */
    public String getRoleLink() {
        return roleLink;
    }

    /**
     * Sets the role link of this security-role-ref.
     * @param roleLink rolename of this security-role-ref.
     */
    public void setRoleLink(final String roleLink) {
        this.roleLink = roleLink;
    }

}
