/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl;

import org.ow2.util.ee.metadata.common.impl.clazz.ManagedBeanClass;
import org.ow2.util.ee.metadata.common.impl.view.CommonView;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * @author Loic Albertin
 */
public class ManagedBeanParsingTestCase extends AbstractAnnotationParsingTestCase {
    @Override
    protected String getParsedClassName() {
        return ManagedBeanClass.class.getName();
    }

    @Override
    protected ClassLoader getParsedClassClassLoader() {
        return ManagedBeanClass.class.getClassLoader();
    }

    @Test(dependsOnMethods = "createMetadata")
    public void testParsing() {
        // view
        CommonView view = this.classMetadata.as(CommonView.class);
        String managedBeanName  = view.getManagedBeanName();
        Assert.assertEquals(managedBeanName, ManagedBeanClass.BEAN_NAME);
    }

}
