/**
 * Copyright 2013 Peergreen S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl;

import org.ow2.util.ee.metadata.common.impl.clazz.RunAsClass;
import org.ow2.util.ee.metadata.common.impl.view.CommonView;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Test @RunAs
 * @author Florent Benoit
 */
public class RunAsTestCase extends AbstractAnnotationParsingTestCase {

    @Override
    protected String getParsedClassName() {
        return RunAsClass.class.getName();
    }

    @Override
    protected ClassLoader getParsedClassClassLoader() {
        return RunAsClass.class.getClassLoader();
    }

    @Test(dependsOnMethods = "createMetadata")
    public void testParsing() {
        // view
        CommonView view = this.classMetadata.as(CommonView.class);
        String runAsValue  = view.getRunAs();
        Assert.assertEquals(runAsValue, RunAsClass.RUNAS_VALUE);
    }

    @Test(dependsOnMethods = "testParsing")
    public void testChange() {
        // view
        CommonView view = this.classMetadata.as(CommonView.class);
        String newValue = "newValue";
        view.setRunAs(newValue);
        Assert.assertEquals(view.getRunAs(), newValue);
    }

}
