/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.clazz;

import javax.xml.ws.Service;
import javax.xml.ws.WebServiceRef;

/**
 * @author Guillaume Sauthier
 */
public class AttributeParsingClass {

    @WebServiceRef(mappedName = "A",
                   name = "B",
                   type = IEndpoint.class,
                   value = Service.class,
                   wsdlLocation = "location")
    private Service service;

    /**
     * @return the service
     */
    public Service getService() {
        return service;
    }

    /**
     * @param service the service to set
     */
    public void setService(final Service service) {
        this.service = service;
    }
}
