/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.clazz;

import javax.jws.HandlerChain;
import javax.xml.ws.Service;
import javax.xml.ws.WebServiceRef;
import javax.xml.ws.WebServiceRefs;

/**
 * Created by IntelliJ IDEA. User: sauthieg Date: 7 août 2008 Time: 13:30:43 To
 * change this template use File | Settings | File Templates.
 */
@WebServiceRefs({@WebServiceRef(name = "WSRs.wsr1",
                                wsdlLocation = "META-INF/dummy.wsdl",
                                type = IEndpoint.class,
                                value = Service.class),
        @WebServiceRef(name = "WSRs.wsr2",
                       wsdlLocation = "META-INF/dummy.wsdl",
                       type = IEndpoint.class,
                       value = Service.class)

})
@HandlerChain(file = "META-INF/class-level.xml")
public class ClassWithAnnotations {

    @WebServiceRef(mappedName = "Global")
    @HandlerChain(file = "META-INF/field-level.xml")
    private Service pseudoService;

    @WebServiceRef
    @HandlerChain(file = "META-INF/method-level.xml")
    protected void setPseudoService2(final Service pseudo) {

    }

    /**
     * @return the pseudoService
     */
    public Service getPseudoService() {
        return pseudoService;
    }

    /**
     * @param pseudoService the pseudoService to set
     */
    public void setPseudoService(final Service pseudoService) {
        this.pseudoService = pseudoService;
    }
}
