/**
 * Copyright 2013 Peergreen S.A.S.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.clazz;

import javax.ejb.EJB;
import javax.ejb.EJBs;

/**
 * @author Florent Benoit
 */
@EJB(beanInterface=String.class, beanName="BeanOnClass", description="descriptionClass", mappedName="mappedNameClass", name="nameOnClass", lookup="lookupOnClass")
@EJBs({@EJB(beanInterface=Integer.class, beanName="beanName1", mappedName="mappedName1", name="name1", lookup="lookup1"), @EJB(beanInterface=Float.class, beanName="beanName2", mappedName="mappedName2", name="name2", lookup="lookup2")})
public class EJBClass {

    @EJB(beanName="BeanOnField", description="descriptionField", mappedName="mappedNameField", name="nameOnField", lookup="lookupField")
    private Integer myEJB;

    @EJB
    private Integer defaultEjb;


    @EJB(beanName="BeanOnMethod", description="descriptionMethod", mappedName="mappedNameMethod", name="nameOnMethod", lookup="lookupMethod")
    public void setterMethod(String myEJB) {

    }

    @EJB
    public void anotherSetterMethod(String myEJB) {

    }

}
