/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.clazz;

import javax.annotation.ManagedBean;
import javax.annotation.Resource;

/**
 * @author Loic Albertin
 */
@ManagedBean(ManagedBeanClass.BEAN_NAME)
public class ManagedBeanClass {

    public static final String BEAN_NAME = "myManagedBean";

    private String value;

    @Resource
    ManagedBeanNotNamedClass beanNotNamed;

    /**
     * Managed Beans should have a public no-argument constructor
     */
    public ManagedBeanClass() {
    }


    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
