/**
 * Copyright 2013 Peergreen S.A.S.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.ow2.util.ee.metadata.common.impl.clazz;

import static javax.annotation.Resource.AuthenticationType.APPLICATION;
import static javax.annotation.Resource.AuthenticationType.CONTAINER;

import javax.annotation.Resource;
import javax.annotation.Resources;

/**
 * @author Florent Benoit
 */
@Resources({@Resource(authenticationType=CONTAINER, description="desc1", lookup="lookup1", mappedName="mappedName1", name="name1", shareable=false, type=String.class),
    @Resource(authenticationType=APPLICATION, description="desc2", lookup="lookup2", mappedName="mappedName2", name="name2", shareable=true, type=Float.class)})
@Resource(authenticationType=APPLICATION, description="desc3", lookup="lookup3", mappedName="mappedName3", name="name3", shareable=true, type=Integer.class)
public class ResourceClass {

    @Resource(authenticationType=APPLICATION, description="descField", lookup="lookupField", mappedName="mappedNameField", name="nameField", shareable=true, type=Integer.class)
    private Integer myResource;

    @Resource
    private Integer defaultResource;


    @Resource(authenticationType=CONTAINER, description="descMethod", lookup="lookupMethod", mappedName="mappedNameMethod", name="nameMethod", shareable=false, type=Float.class)
    public void setterMethod(String myResource) {

    }

    @Resource
    public void anotherSetterMethod(String defaultResource) {

    }

}
