/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.api;

import java.io.Serializable;

import org.ow2.util.ee.metadata.ejbjar.api.struct.ILockType;


/**
 * This interface represents methods which can be call on ClassAnnotationMetadata and MethodAnnotationMetadata.
 * @author Florent Benoit
 */
public interface ILock extends Serializable {

    /**
     * @return lock type
     * @see javax.ejb.LockType
     */
    ILockType getLockType();

    /**
     * Set Lock Type.
     * @see javax.ejb.LockType
     * @param lockType the type of the lock.
     */
    void setLockType(ILockType lockType);

}
