/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.api;

/**
 * Different type of level available to set the transaction attribute.
 * @author Florent BENOIT
 */
public enum TransactionAttributeLevel {

    /**
     * First level is annotation / default value.
     */
    ANNOTATION,

    /**
     * Then style 1 with wildcard.
     */
    XML_WILDCARD,

    /**
     * Style 2 with method name.
     */
    XML_METHOD_NAME,

    /**
     * And then style 3 with method name with parameters.
     */
    XML_METHOD_PARAMS

}
