/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.util.ee.metadata.ejbjar.api.interfaces;

import java.io.Serializable;

import org.ow2.util.ee.metadata.ejbjar.api.struct.IJEjbAccessTimeout;

/**
 * This interface represents methods which can be call on
 * ClassAnnotationMetadata, MethodAnnotationMetadata.<br>
 * It manages &#64;{@link javax.ejb.AccessTimeout} annotation.
 * @author Florent Benoit
 */
public interface IEjbAccessTimeout extends Serializable {

    /**
     * @return the access timeout on this class/method.
     */
    IJEjbAccessTimeout getJavaxEjbAccessTimeout();

    /**
     * Sets the access timeout on this class/method.
     * @param jEjbAccessTimeout information on access timeout.
     */
    void setJavaxEjbAccessTimeout(IJEjbAccessTimeout jEjbAccessTimeout);

}
