/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.util.ee.metadata.ejbjar.api.struct;

import java.io.Serializable;

/**
 * Manages &#64;{@link javax.ejb.Schedule} annotation.
 * @author Florent BENOIT
 */
public interface IJEjbSchedule extends Serializable {

    /**
     * @return seconds
     */
    String getSecond();

    /**
     * Sets the seconds
     * @param second the value
     */
    void setSecond(String second);

    /**
     * @return minutes
     */
    String getMinute();

    /**
     * Sets the minute
     * @param minute the value
     */
    void setMinute(String minute);

    /**
     * @return hour
     */
    String getHour();

    /**
     * Sets the hour
     * @param hour the value
     */
    void setHour(String hour);

    /**
     * @return day of month
     */
    String getDayOfMonth();

    /**
     * Sets the day of month
     * @param dayOfMonth the value
     */
    void setDayOfMonth(String dayOfMonth);

    /**
     * @return month
     */
    String getMonth();

    /**
     * Sets the month
     * @param month the value
     */
    void setMonth(String month);

    /**
     * @return day of week
     */
    String getDayOfWeek();

    /**
     * Sets the day of week
     * @param dayOfWeek the value
     */
    void setDayOfWeek(String dayOfWeek);

    /**
     * @return year
     */
    String getYear();

    /**
     * Sets the year
     * @param year the value
     */
    void setYear(String year);

    /**
     * @return timezone
     */
    String getTimezone();

    /**
     * Sets the timezone
     * @param timezone the value
     */
    void setTimezone(String timezone);

    /**
     * @return info used for the timer callback
     */
    String getInfo();

    /**
     * Sets the info
     * @param info the value
     */
    void setInfo(String info);

    /**
     * @return true if schedule is persistent
     */
    boolean isPersistent();

    /**
     * Sets the persistent
     * @param persistent the value
     */
    void setPersistent(boolean persistent);

    /**
     * @return start time
     */
    String getStart();

    /**
     * Sets the start time
     * @param start the value
     */
    void setStart(String start);

    /**
     * @return end time
     */
    String getEnd();

    /**
     * Sets the end time
     * @param end the value
     */
    void setEnd(String end);
}
