/**
 * OW2 Utilities
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: utilities@ow2.org
 *
 * Licensed  under the  Apache License,  Version 2.0  (the "License");
 * you may not use  this file  except in  compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed  under the  License is distributed on an "AS IS" BASIS,
 * WITHOUT  WARRANTIES OR CONDITIONS  OF ANY KIND, either  express  or
 * implied.
 *
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.api.struct;

import java.io.Serializable;
import java.util.concurrent.TimeUnit;

/**
 * This interface represents methods which can be call on ClassAnnotationMetadata.<br>
 * It manages &#64;{@link javax.ejb.StatefulTimeout} annotation.
 *
 * @author Loic Albertin
 */
public interface IJEjbStatefulTimeout extends Serializable {

    /**
     * @return value (value to be used).
     */
    long getValue();

    /**
     * Sets the value.
     *
     * @param value the given value.
     */
    void setValue(final long value);

    /**
     * @return the unit type.
     */
    TimeUnit getUnit();

    /**
     * Sets the unit type.
     *
     * @param timeUnit value to set.
     */
    void setUnit(final TimeUnit timeUnit);
}
