/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.util.ee.metadata.ejbjar.api.struct;

import java.util.List;

/**
 * IJMessageDriven.
 * @author Gael Lalire
 */
public interface IJMessageDriven extends IJCommonBean {

    /**
     * Adds an activation config property.
     * @param activationConfigProperty object to add in the list
     */
    void addActivationConfigProperty(final IActivationConfigProperty activationConfigProperty);

    /**
     * Gets the activation config properties.
     * @return the list of activation config properties
     */
    List<IActivationConfigProperty> getActivationConfigProperties();

    /**
     * @return message listener interface.
     */
    String getMessageListenerInterface();

    /**
     * Sets the message listener interface.
     * @param messageListenerInterface the given interface.
     */
    void setMessageListenerInterface(final String messageListenerInterface);

    /**
     * Set the message destination link.
     * @param messageDestinationLink message destination link.
     */
    void setMessageDestinationLink(final String messageDestinationLink);

    /**
     * Gets the message destination link.
     * @return the message destination link
     */
    String getMessageDestinationLink();

}
