/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.util.ee.metadata.ejbjar.api.xml.struct;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author benoitf
 */
public interface IInterceptors extends Serializable {

    /**
     * Name of this element.
     */
    String NAME = "interceptors";

    /**
     * Gets the list of &lt;interceptor&gt; elements.
     * @return list of &lt;interceptor&gt; elements.
     */
    List<IInterceptor> getInterceptorList();

    /**
     * Adds a new &lt;interceptor&gt; element to assembly descriptor.
     * @param interceptor the &lt;interceptor&gt; element
     */
    void addInterceptor(final IInterceptor interceptor);

}
