/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.util.ee.metadata.ejbjar.api.xml.struct;

import java.io.Serializable;

/**
 * Interface for element message-destination.
 * @author Florent Benoit
 */
public interface IMessageDestination extends Serializable {

    /**
     * Name of this element.
     */
    String NAME = "message-destination";

    /**
     * @return the name of the message-destination.
     */
    String getName();

    /**
     * Sets the name of the message destination.
     * @param messageDestinationName the name of the message destination.
     */
    void setName(final String messageDestinationName);

    /**
     * @return the JNDI name of the message-destination.
     */
    String getMappedName();

    /**
     * Sets the JNDI name of the message destination.
     * @param mappedName the JNDI name of the message destination.
     */
    void setMappedName(final String mappedName);

}
