/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.impl.configurator.visitor.method;

import static java.lang.annotation.ElementType.METHOD;

import org.ow2.util.ee.metadata.ejbjar.api.struct.IJEjbSchedule;
import org.ow2.util.scan.api.IAnnotationVisitor;
import org.ow2.util.scan.api.IAnnotationVisitorContext;
import org.ow2.util.scan.api.annotation.VisitorTarget;
import org.ow2.util.scan.api.annotation.VisitorType;
import org.ow2.util.scan.api.visitor.DefaultAnnotationVisitor;



@VisitorTarget(METHOD)
@VisitorType("javax.ejb.Schedules")
public class JavaxEjbSchedulesVisitor extends DefaultAnnotationVisitor<IJEjbSchedule> {

    @Override
    public IAnnotationVisitor<IJEjbSchedule> visitAnnotation(String name, String desc, IAnnotationVisitorContext<IJEjbSchedule> visitorContext) {
        // delegate
        if ("Ljavax/ejb/Schedule;".equals(desc)) {
            return new JavaxEjbScheduleVisitor();
        }
        return this;
    }

    @Override
    public IJEjbSchedule buildInstance() {
        return null;
    }

}