/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.impl.struct;

import java.util.List;

import org.ow2.util.ee.metadata.ejbjar.api.struct.IDependsOn;

/**
 * Implementation for DependsOn annotation.
 * @author Florent Benoit
 */
public class JDependsOn implements IDependsOn {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = 8579504135427694678L;

    /**
     * List of beans.
     */
    private List<String> beans = null;

    /**
     * Sets the list of the beans on which we depends.
     * @param beans list of beans
     */
    public void setBeans(final List<String> beans) {
        this.beans = beans;
    }

    /**
     * @return list of bean names.
     */
    public List<String> getBeans() {
        return beans;
    }
}
