/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.impl.struct;

import org.ow2.util.ee.metadata.ejbjar.api.struct.IJSingleton;



/**
 * Acts as an implementation of &#64;{@link javax.ejb.Singleton} annotation.
 * @author Florent Benoit
 */
public class JSingleton extends JCommonBean implements IJSingleton {

   /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = -6009365959665527893L;

    /**
     * Build an object which represents &#64;{@link javax.ejb.Stateless} object.
     */
    public JSingleton() {
        super();
    }

}
