/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct;

import org.ow2.util.ee.metadata.common.impl.xml.struct.AbsEnvironment;
import org.ow2.util.ee.metadata.ejbjar.api.xml.struct.IInterceptor;

/**
 * This class defines the implementation of the element interceptor.
 * @author Florent Benoit
 */
public class Interceptor extends AbsEnvironment implements IInterceptor {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = -7007467079689451069L;

    /**
     * Element &lt;interceptor-class&gt;.
     */
    private String interceptorClass = null;

    /**
     * Constructor.
     */
    public Interceptor() {
        super();
    }

    /**
     * @return the name of the interceptor class.
     */
    public String getInterceptorClass() {
        return interceptorClass;
    }

    /**
     * Sets the name of the interceptor class.
     * @param interceptorClass the name of the interceptor class.
     */
    public void setInterceptorClass(final String interceptorClass) {
        this.interceptorClass = interceptorClass;
    }

}
