/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.test;

import javax.annotation.PostConstruct;
import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

/**
 * Simple interceptor.
 * @author Florent Benoit
 */
public class MyInterceptor {

    /**
     * Intercept method.
     * @param invocationContext the given invocation context
     * @throws Exception if interception fails
     */
    @AroundInvoke
    public void intercep(final InvocationContext invocationContext) throws Exception {
        // do nothing
        invocationContext.proceed();
    }

    /**
     * Lifecycle postconstruct method.
     * @param invocationContext the given
     * invocation context
     * @throws Exception if postconstruct is failing
     */
    @PostConstruct
    public void postConstruct(final InvocationContext invocationContext) throws Exception {

    }
}
