/**
 * Copyright 2009-2012 Bull S.A.S.
 * Copyright 2013 Peergreen S.A.S.
 *
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.war.impl.configurator;

import org.ow2.util.ee.metadata.war.api.IWarMetadata;
import org.ow2.util.scan.api.IScannerResult;
import org.ow2.util.scan.api.configurator.basic.ClassMetadataConfigurator;
import org.ow2.util.scan.api.metadata.IClassMetadata;

/**
 * WarClassMetadataConfigurator.
 * @author Florent Benoit
 */
public class WarClassMetadataConfigurator extends ClassMetadataConfigurator {

    private final IWarMetadata warMetadata;

    /**
     * WarClassMetadataConfigurator.
     * @param jClass signature
     * @param warArchiveMetadata parent
     * @param annotationParsingDesactived annotationParsingDesactived
     * @param specificWarDeployableMetadataConfiguratorList specificWarDeployableMetadataConfiguratorList
     */
    public WarClassMetadataConfigurator(
            final IClassMetadata classMetadata,
            final IWarMetadata warMetadata) {
        super(classMetadata);
        this.warMetadata = warMetadata;
    }


    /**
     * add class to archive.
     * @param scannerResult
     */
    @Override
    public void configurationComplete(IScannerResult scannerResult) {
        // add the class on the archive
        warMetadata.addClassMetadata(getClassMetadata());
        super.configurationComplete(scannerResult);
    }

}
