/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.war.impl.xml.struct;

/**
 * Definition of a Tag.
 * @author Florent BENOIT
 */
public class Tag {

    /**
     * Name of this element.
     */
    public static final String NAME = "tag";

    /**
     * Name of the class of this tag.
     */
    private String tagClassName = null;

    /**
     * @return the name of the class.
     */
    public String getTagClassName() {
        return tagClassName;
    }

    /**
     * Sets the name of the class.
     * @param tagClassName the name of the class.
     */
    public void setTagClassName(final String tagClassName) {
        this.tagClassName = tagClassName;
    }


}
