/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.war.test;

import javax.annotation.Resource;
import javax.annotation.sql.DataSourceDefinition;
import javax.jms.ConnectionFactory;
import javax.jms.QueueConnectionFactory;
import javax.jms.TopicConnectionFactory;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * EJB3 Stateless sample.
 * @author Gael Lalire
 */
@DataSourceDefinition(name = "java:global/MyDataSource", className = "com.acme.driver.DriverClass",
                      url="jdbc:mysql://localhost:3307/testdb", transactional = false)
public class MyServlet extends HttpServlet {

    /**
     * Serial version uid.
     */
    private static final long serialVersionUID = -3647377103424976088L;

    /**
     * TopicConnectionFactory.
     */
    @SuppressWarnings("unused")
    @Resource(mappedName = "TCF")
    private transient TopicConnectionFactory topicConnectionFactory;

    /**
     * QueueConnectionFactory.
     */
    @SuppressWarnings("unused")
    @Resource(mappedName = "QCF")
    private transient QueueConnectionFactory queueConnectionFactory;

    /**
     * ConnectionFactory.
     */

    @SuppressWarnings("unused")
    @Resource(mappedName = "CF")
    private transient ConnectionFactory connectionFactory;

    /**
     * Get method.
     * @param req req
     * @param resp resp
     */
    @Override
    protected void doGet(final HttpServletRequest req, final HttpServletResponse resp) {
    }

}
