/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ws.api.interfaces;

import org.ow2.util.ee.metadata.ws.api.struct.IWebServiceMarker;

import java.io.Serializable;

/**
 * This interface represents methods which can be call on
 * ClassAnnotationMetadata.<br>
 * It manages WebServices related metadata (marker annotation + values from XML descriptor).
 * @author Guillaume Sauthier
 */
public interface IWebService extends Serializable {

    /**
     * @return IWebServiceMarker object representing ws metadata
     */
    IWebServiceMarker getWebServiceMarker();

    /**
     * Set IWebServiceMarker object.
     * @param ws object representing ws metadata.
     */
    void setWebServiceMarker(IWebServiceMarker ws);

}
