/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ws.api.xml.struct;

import java.util.List;

/**
 * The IWebserviceDescription the logical view of the <code>webservice-description</code> element.
 *
 * @author Guillaume Sauthier
 */
public interface IWebserviceDescription {

    /**
     * @return the <code>webservice-description-name</code> value.
     */
    String getName();

    /**
     * @return the <code>wsdl-file</code> value (may be null).
     */
    String getWsdlFile();

    /**
     * @return the list of port-component declared in this description.
     */
    List<IPortComponent> getPortComponents();
}
