/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ws.api.xml.struct;

import java.util.List;

/**
 * The IWebservices is the Object representant of a webservices.xml file.
 *
 * @author Guillaume Sauthier
 */
public interface IWebservices {

    /**
     * @return the @version attribute (1.1 for JAX-RPC and 1.2 for JAX-WS)
     */
    String getVersion();

    /**
     * @return the list of webservice-description declared in this file.
     */
    List<IWebserviceDescription> getWebserviceDescriptions();

    /**
     * This finder method helps to find the PortComponent associated to
     * a given implementation bean.
     * @param sibLink SIB link name (EJB name or classname)
     * @return the found PortComponent or null if nothing is found in this XML descriptor
     */
    IPortComponent findPortComponent(String sibLink);

}
