/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ws.impl.configurator;

import org.ow2.util.ee.metadata.ws.impl.configurator.visitor.clazz.JavaxJwsWebServiceVisitor;
import org.ow2.util.ee.metadata.ws.impl.configurator.visitor.clazz.JavaxXmlWsWebServiceProviderVisitor;
import org.ow2.util.scan.api.configurator.basic.AnnotationConfigurator;

/**
 * WebservicesCommonClassMetadataConfigurator.
 * @author Guillaume Sauthier
 */
public class WebservicesAnnotationConfigurator extends AnnotationConfigurator {

    /**
     * Constructor.
     */
    public WebservicesAnnotationConfigurator() {
        super();
        registerAnnotationVisitors();
    }

    /**
     * register annotation visitor.
     */
    protected void registerAnnotationVisitors() {

        // add @WebService
        registerAnnotationVisitor(new JavaxJwsWebServiceVisitor());

        // add @WebServiceProvider
        registerAnnotationVisitor(new JavaxXmlWsWebServiceProviderVisitor());

    }

}
