/**
 * Copyright 2013 Peergreen S.A.S.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ow2.util.ee.metadata.ws.impl.view;

import org.ow2.util.ee.metadata.ws.api.struct.IWebServiceMarker;
import org.ow2.util.ee.metadata.ws.api.view.IWebservicesView;
import org.ow2.util.ee.metadata.ws.api.xml.struct.IWebservices;
import org.ow2.util.scan.api.metadata.IMetadata;

/**
 * Defines the WebService view
 * @author Florent Benoit
 */
public class WebServicesView implements IWebservicesView {

    /**
     *
     */
    private static final long serialVersionUID = -8558884143407862715L;

    private final IMetadata metadata;

    public WebServicesView(IMetadata metadata) {
        this.metadata = metadata;
    }

    @Override
    public IWebservices getWebservices12() {
        return this.metadata.get(IWebservices.class);
    }

    @Override
    public void setWebservices12(IWebservices webservices12) {
        this.metadata.set(IWebservices.class, webservices12);
    }

    /**
     * @return IJwsWebService object representing javax.jws.WebService annotation.
     */
    public IWebServiceMarker getWebServiceMarker() {
        return this.metadata.get(IWebServiceMarker.class);
    }

    /**
     * Set IJwsWebService object.
     *
     * @param ws object representing javax.jws.WebService annotation.
     */
    public void setWebServiceMarker(final IWebServiceMarker ws) {
        this.metadata.set(IWebServiceMarker.class, ws);
    }

}
