/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ws.impl.xml.parsing;

import org.ow2.util.ee.metadata.common.impl.xml.parsing.IEntityResolver;
import org.ow2.util.xml.SchemaEntityResolver;

/**
 * Entity resolver allowing to find schema within the classloader.
 * @author Florent Benoit
 */
public class WebservicesEntityResolver extends SchemaEntityResolver implements IEntityResolver {

    /**
     * All schemas used by Webservices.
     */
    private static final String[] WS_SCHEMAS = new String[]{PREFIX + JAVAEE5_SCHEMA, PREFIX + JAVAEE6_SCHEMA,
    PREFIX + J2EE14_SCHEMA, PREFIX + JAVAEE_WEBSERVICES12_SCHEMA, PREFIX + J2EE_WEBSERVICES11_SCHEMA,
            PREFIX + JAVAEE_WEBSERVICES12_CLIENT_SCHEMA, PREFIX + JAVAEE_WEBSERVICES13_CLIENT_SCHEMA,
            PREFIX + J2EE_WEBSERVICES_CLIENT_SCHEMA, PREFIX + XML_SCHEMA};

    /**
     * Constructor. Finds the XSD with classloader.
     */
    public WebservicesEntityResolver() {
        super(WS_SCHEMAS);
    }

}
