/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ws.impl.xml.struct;

import org.ow2.util.ee.metadata.ws.api.xml.struct.IServiceImplBean;

/**
 * The ServiceImplBean is ...
 *
 * @author Guillaume Sauthier
 */
public class ServiceImplBean implements IServiceImplBean {

    /**
     * XML element's name.
     */
    public static final String NAME = "service-impl-bean";

    /**
     * Value of the <code>servlet-link</code> element (may be null).
     */
    private String servletLink;

    /**
     * Value of the <code>ejb-link</code> element (may be null).
     */
    private String ejbLink;

    public void setServletLink(String servletLink) {
        this.servletLink = servletLink;
    }

    public void setEjbLink(String ejbLink) {
        this.ejbLink = ejbLink;
    }

    public String getServletLink() {
        return servletLink;
    }

    public String getEjbLink() {
        return ejbLink;
    }
}
